CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-3391

Untrusted search path vulnerability in Cisco ASA Software 8.x before 8.4(3), 8.5, and 8.7 before 8.7(1.13) allows local users to gain privileges by placing a Trojan horse library file in external memory, leading to library use after device reload because of an incorrect LD_LIBRARY_PATH value, aka Bug ID CSCtq52661.
Publish Date : 2014-10-10 Last Update Date : 2014-10-13
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
6.8
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Single system (The vulnerability requires an attacker to be logged into the system (such as at a command line or via a desktop session or web interface).)
Gained Access None
Vulnerability Type(s) Gain privileges
CWE ID 20

- Products Affected By CVE-2014-3391

# Product Type Vendor Product Version Update Edition Language
1 Application Cisco Adaptive Security Appliance Software 8.2.0.45 Version Details Vulnerabilities
2 Application Cisco Adaptive Security Appliance Software 8.2.1 Version Details Vulnerabilities
3 Application Cisco Adaptive Security Appliance Software 8.2.1.1 Version Details Vulnerabilities
4 Application Cisco Adaptive Security Appliance Software 8.2.2 Version Details Vulnerabilities
5 Application Cisco Adaptive Security Appliance Software 8.2.2.10 Version Details Vulnerabilities
6 Application Cisco Adaptive Security Appliance Software 8.2.2.12 Version Details Vulnerabilities
7 Application Cisco Adaptive Security Appliance Software 8.2.2.16 Version Details Vulnerabilities
8 Application Cisco Adaptive Security Appliance Software 8.2.2.17 Version Details Vulnerabilities
9 Application Cisco Adaptive Security Appliance Software 8.2.3 Version Details Vulnerabilities
10 Application Cisco Adaptive Security Appliance Software 8.2.4 Version Details Vulnerabilities
11 Application Cisco Adaptive Security Appliance Software 8.2.4.1 Version Details Vulnerabilities
12 Application Cisco Adaptive Security Appliance Software 8.2.4.4 Version Details Vulnerabilities
13 Application Cisco Adaptive Security Appliance Software 8.2.5 Version Details Vulnerabilities
14 Application Cisco Adaptive Security Appliance Software 8.2.5.13 Version Details Vulnerabilities
15 Application Cisco Adaptive Security Appliance Software 8.2.5.22 Version Details Vulnerabilities
16 Application Cisco Adaptive Security Appliance Software 8.2.5.26 Version Details Vulnerabilities
17 Application Cisco Adaptive Security Appliance Software 8.2.5.33 Version Details Vulnerabilities
18 Application Cisco Adaptive Security Appliance Software 8.2.5.40 Version Details Vulnerabilities
19 Application Cisco Adaptive Security Appliance Software 8.2.5.41 Version Details Vulnerabilities
20 Application Cisco Adaptive Security Appliance Software 8.2.5.46 Version Details Vulnerabilities
21 Application Cisco Adaptive Security Appliance Software 8.2.5.48 Version Details Vulnerabilities
22 Application Cisco Adaptive Security Appliance Software 8.2.5.50 Version Details Vulnerabilities
23 Application Cisco Adaptive Security Appliance Software 8.3.1 Version Details Vulnerabilities
24 Application Cisco Adaptive Security Appliance Software 8.3.1.1 Version Details Vulnerabilities
25 Application Cisco Adaptive Security Appliance Software 8.3.1.4 Version Details Vulnerabilities
26 Application Cisco Adaptive Security Appliance Software 8.3.1.6 Version Details Vulnerabilities
27 Application Cisco Adaptive Security Appliance Software 8.3.2 Version Details Vulnerabilities
28 Application Cisco Adaptive Security Appliance Software 8.3.2.4 Version Details Vulnerabilities
29 Application Cisco Adaptive Security Appliance Software 8.3.2.13 Version Details Vulnerabilities
30 Application Cisco Adaptive Security Appliance Software 8.3.2.23 Version Details Vulnerabilities
31 Application Cisco Adaptive Security Appliance Software 8.3.2.25 Version Details Vulnerabilities
32 Application Cisco Adaptive Security Appliance Software 8.3.2.31 Version Details Vulnerabilities
33 Application Cisco Adaptive Security Appliance Software 8.3.2.33 Version Details Vulnerabilities
34 Application Cisco Adaptive Security Appliance Software 8.3.2.34 Version Details Vulnerabilities
35 Application Cisco Adaptive Security Appliance Software 8.3.2.37 Version Details Vulnerabilities
36 Application Cisco Adaptive Security Appliance Software 8.3.2.39 Version Details Vulnerabilities
37 Application Cisco Adaptive Security Appliance Software 8.3.2.40 Version Details Vulnerabilities
38 Application Cisco Adaptive Security Appliance Software 8.3.2.41 Version Details Vulnerabilities
39 Application Cisco Adaptive Security Appliance Software 8.4.1 Version Details Vulnerabilities
40 Application Cisco Adaptive Security Appliance Software 8.4.1.3 Version Details Vulnerabilities
41 Application Cisco Adaptive Security Appliance Software 8.4.1.11 Version Details Vulnerabilities
42 Application Cisco Adaptive Security Appliance Software 8.4.2 Version Details Vulnerabilities
43 Application Cisco Adaptive Security Appliance Software 8.4.2.1 Version Details Vulnerabilities
44 Application Cisco Adaptive Security Appliance Software 8.4.2.8 Version Details Vulnerabilities
45 Application Cisco Adaptive Security Appliance Software 8.4.3 Version Details Vulnerabilities
46 Application Cisco Adaptive Security Appliance Software 8.4.3.8 Version Details Vulnerabilities
47 Application Cisco Adaptive Security Appliance Software 8.4.3.9 Version Details Vulnerabilities
48 Application Cisco Adaptive Security Appliance Software 8.4.4 Version Details Vulnerabilities
49 Application Cisco Adaptive Security Appliance Software 8.4.4.1 Version Details Vulnerabilities
50 Application Cisco Adaptive Security Appliance Software 8.4.4.3 Version Details Vulnerabilities
51 Application Cisco Adaptive Security Appliance Software 8.4.4.5 Version Details Vulnerabilities
52 Application Cisco Adaptive Security Appliance Software 8.4.4.9 Version Details Vulnerabilities
53 Application Cisco Adaptive Security Appliance Software 8.4.5 Version Details Vulnerabilities
54 Application Cisco Adaptive Security Appliance Software 8.4.5.6 Version Details Vulnerabilities
55 Application Cisco Adaptive Security Appliance Software 8.4.6 Version Details Vulnerabilities
56 Application Cisco Adaptive Security Appliance Software 8.4.7 Version Details Vulnerabilities
57 Application Cisco Adaptive Security Appliance Software 8.4.7.3 Version Details Vulnerabilities
58 Application Cisco Adaptive Security Appliance Software 8.4.7.15 Version Details Vulnerabilities
59 Application Cisco Adaptive Security Appliance Software 8.4.7.22 Version Details Vulnerabilities
60 Application Cisco Adaptive Security Appliance Software 8.7.1 Version Details Vulnerabilities
61 Application Cisco Adaptive Security Appliance Software 8.7.1.3 Version Details Vulnerabilities
62 Application Cisco Adaptive Security Appliance Software 8.7.1.4 Version Details Vulnerabilities
63 Application Cisco Adaptive Security Appliance Software 8.7.1.7 Version Details Vulnerabilities
64 Application Cisco Adaptive Security Appliance Software 8.7.1.11 Version Details Vulnerabilities
65 Application Cisco Adaptive Security Appliance Software 8.7.1.13 Version Details Vulnerabilities
66 Application Cisco Adaptive Security Appliance Software 8.7.8 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Cisco Adaptive Security Appliance Software 66

- References For CVE-2014-3391

http://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20141008-asa
CISCO 20141008 Multiple Vulnerabilities in Cisco ASA Software

- Metasploit Modules Related To CVE-2014-3391

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.